/* $Id: layout-fixed.css,v 1.17 2009/11/05 12:09:53 johnalbin Exp $ */

/**
 * @file
 * Layout Styling (DIV Positioning)
 *
 * Define CSS classes to create a table-free, 3-column, 2-column, or single
 * column layout depending on whether blocks are enabled in the left or right
 * columns.
 *
 * This layout is based on the Zen Columns layout method.
 *   http://drupal.org/node/201428
 *
 * Only CSS that affects the layout (positioning) of major elements should be
 * listed here.  Such as:
 *   display, position, float, clear, width, height, min-width, min-height
 *   margin, border, padding, overflow
 */


/*
 * Body
 */
body {
}

#page-wrapper,
.region-page-closure {
  /*
   * If you want to make the page a fixed width and centered in the viewport,
   * this is the standards-compliant way to do that. See also the ie6.css file
   * for the necessary IE5/IE6quirks hack to center a div.

  margin-left: auto;
  margin-right: auto;
  width: 960px;*/
}

#page {
}

/*
 * Header
 */
#header {
}

#header .section {
}

#search-box {
}

.region-header {
  clear: both; /* Clear the logo */
}

/*
 * Main (container for everything else)
 */
#main-wrapper {
  position: relative;
}

#main {
  min-width: 960px;
}
* html #main {
   width: expression( document.body.clientWidth < 961 ? "960px" : "auto" ); /* set min-width for IE */
}

/*
 * Content
 */
#content,
.no-sidebars #content {
  float: left; /* LTR */
  width: 960px;
  margin-left: 0; /* LTR */
  margin-right: -960px; /* LTR */ /* Negative value of #content's width + left margin. */
  padding: 0; /* DO NOT CHANGE. Add padding or margin to #content .section. */
}

.sidebar-first #content {
  width: 800px;
  margin-left: 160px; /* LTR */ /* The width of .region-sidebar-first. */
  margin-right: -960px; /* LTR */ /* Negative value of #content's width + left margin. */
}

.sidebar-second #content {
  width: 640px;
  margin-left: 0; /* LTR */
  margin-right: -640px; /* LTR */ /* Negative value of #content's width + left margin. */
}

.two-sidebars #content {
  width: 480px;
  margin-left: 160px; /* LTR */ /* The width of .region-sidebar-first */
  margin-right: -800px; /* LTR */ /* Negative value of #content's width + left margin. */
}

#content .section {
  margin: 0 10px;
  padding: 0;
}

#fluid-body{
	margin: 0;
}
#fluid-body td{
	vertical-align: top;
}
#fluid-body td.fluid-content{
	width: auto;
}
#fluid-body #content{
	float: none;
	margin: 0;
	padding: 0;
	width: 100%;
}
#fluid-body td.sidebar_first{
	width: 160px;
}
#fluid-body td.sidebar_first .region-sidebar-first{
	margin: 0;
	padding; 0;
	float: none;
}
#fluid-body td.sidebar_first .region-sidebar-first .section{
	margin-right: 0;
}
#fluid-body td.sidebar_second{
	width: 320px;
}
#fluid-body td.sidebar_second .region-sidebar-second{
	margin: 0;
	padding; 0;
	float: none;
}


/*
 * Navigation
 */
#navigation {
  width: 100%;
  padding: 0; /* DO NOT CHANGE. Add padding or margin to #navigation .section. */
  height: 30px;
  background: #333;
  z-index: 999;
}
#navigation .section {
	width: 940px;
	margin: 0px auto;
	padding: 0 10px;
}
#navigation .section-fluid {
	width: 100%;
	padding: 0;
}
#navigation .region {
	margin-left: 20px;
}

* html #navigation .section-fluid {
   width: expression( document.body.clientWidth < 941 ? "940px" : "auto" ); /* set min-width for IE */
}

/*
 * First sidebar
 */
.region-sidebar-first {
  float: left; /* LTR */
  width: 160px;
  margin-left: 0; /* LTR */
  margin-right: -160px; /* LTR */ /* Negative value of .region-sidebar-first's width + left margin. */
  padding: 0; /* DO NOT CHANGE. Add padding or margin to .region-sidebar-first .section. */
}

.region-sidebar-first .section {
  margin: 0 10px; /* LTR */
  padding: 0;
}

/*
 * Second sidebar
 */
.region-sidebar-second {
  float: left; /* LTR */
  width: 320px;
  margin-left: 640px; /* LTR */ /* Width of content + sidebar-first. */
  margin-right: -960px; /* LTR */ /* Negative value of .region-sidebar-second's width + left margin. */
  padding: 0; /* DO NOT CHANGE. Add padding or margin to .region-sidebar-second .section. */
}

.region-sidebar-second .section {
  margin: 0 10px; /* LTR */
  padding: 0;
}

/*
 * Footer
 */
#footer {
	clear: both;
	width: 100%;
}

#footer .section {
	width: 960px;
	margin-left: auto;
	margin-right: auto;
	padding: 100px 0;
}

#footer .section-fluid{
	width: 100%;
	min-width: 960px;
}


/*
 * Closure
 */
.region-page-closure /* See also the #page-wrapper declaration above that this div shares. */ {
}

/** Prevent overflowing content*/
#header,
#content,
#navigation,
/*.region-sidebar-first,*/
.region-sidebar-second,
#footer,
.region-page-closure {
overflow: visible;
word-wrap: break-word; /* A very nice CSS3 property */
}

#navigation {

}

/*
 * If a div.clearfix doesn't have any content after it and its bottom edge
 * touches the bottom of the viewport, Firefox and Safari will mistakenly
 * place several pixels worth of space between the bottom of the div and the
 * bottom of the viewport. Uncomment this CSS property to fix this.
 * Note: with some over-large content, this property might cause scrollbars
 * to appear on the #page-wrapper div.
 */
/*
#page-wrapper {
  overflow-y: hidden;
}
*/
